%define module 	FreezeThaw
%define version 0.43
%define release 4mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel 
Requires:	perl  
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch: 	noarch

%description
%{module} convert Perl structures to strings and back. 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/*.pm
%{_mandir}/*/*


%changelog
* Sat Oct 11 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.43-4mdk
- rebuild for new perl
- add GPL into License tag
- remove $RPM_OPT_FLAGS
- mascroszification of make
- add make test
- don't use PREFIX

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.43-3mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.43-1mdk
- 0.43.

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.41-2mdk
- rebuild with new perl

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.41-1mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release




